Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359887 - jsonpath_rw dep is missing
Summary: jsonpath_rw dep is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-jsonpath-rw-ext
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 8.0 (Liberty)
Assignee: Mehdi ABAAKOUK
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 15:48 UTC by Mehdi ABAAKOUK
Modified: 2016-11-14 19:57 UTC (History)
3 users (show)

Fixed In Version: python-jsonpath-rw-ext-0.1.7-1.3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-14 19:57:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2712 normal SHIPPED_LIVE Red Hat OpenStack Platform 8 Bug Fix and Enhancement Advisory 2016-11-15 00:54:10 UTC

Description Mehdi ABAAKOUK 2016-07-25 15:48:26 UTC
Description of problem:

jsonpath_rw dependency is missing.


Failed to import test module: aodh.tests.functional.gabbi.test_gabbi_live
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/unittest2/loader.py", line 445, in _find_test_path
    module = self._get_module_from_name(name)
  File "/usr/lib/python2.7/site-packages/unittest2/loader.py", line 384, in _get_module_from_name
    __import__(name)
  File "aodh/tests/functional/gabbi/test_gabbi_live.py", line 25, in <module>
    from gabbi import driver
  File "/usr/lib/python2.7/site-packages/gabbi/driver.py", line 38, in <module>
    from gabbi import case
  File "/usr/lib/python2.7/site-packages/gabbi/case.py", line 37, in <module>
    from gabbi import json_parser
  File "/usr/lib/python2.7/site-packages/gabbi/json_parser.py", line 15, in <module>
    from jsonpath_rw_ext import parser
  File "/usr/lib/python2.7/site-packages/jsonpath_rw_ext/__init__.py", line 20, in <module>
    from .parser import parse  # noqa
  File "/usr/lib/python2.7/site-packages/jsonpath_rw_ext/parser.py", line 14, in <module>
    import jsonpath_rw
ImportError: No module named jsonpath_rw

Comment 6 errata-xmlrpc 2016-11-14 19:57:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2712.html


Note You need to log in before you can comment on or make changes to this bug.